# Configuration

{% hint style="warning" %}
Dependencies: ox\_lib, ox\_target
{% endhint %}

{% hint style="success" %}
Supports any Framework/inventory
{% endhint %}

```lua
--Default config file:

Config = {}
---@class Config
---@field CustomInventory boolean: Set this to true if you are using the inventory function in the open.lua file in server side
---@field rate integer: this changes the rate of exchange [3 = 3 black economy will be converted to 1 white economy]
---@field timer integer: the time in minutes the user has to wait , for them to claim their money
---@field jobRate integer: This changes the rate of exchange for the commision of the store society , this means that if the parameter is set to a default of 5 , the store account will get the one fifth (1/5) of the amount that is being washed !
---@field blackEconomy string: the name of the item that you want the user to give in to be laudered
---@field whiteEconomy string: the name of the item you want to reward the player when the laudering is finished
---@field InputType string: wether the ox_lib input should be a numerical input or a slider with steps divided based on the prices.step value

Config.CustomInventory = false

Config.Model = {
    model = "bkr_prop_prtmachine_dryer",
    modelActive = "bkr_prop_prtmachine_dryer_spin",
    locations = { 
        {coords = vec4(-576.62, 286.94, 79.18, 258.60), job = 'club1'},
        {coords = vec4(-825.58, -690.0, 127.39, 270.0), job = 'club2' },
        {coords = vec4(-2956.69, 30.04, 11.61, 154.05), job = 'club3'},  
    }
}


Config.rate = 3
Config.timer = 1 -- in minutes
Config.jobRate = 5
Config.blackEconomy = 'black_money'
Config.whiteEconomy = 'money'
Config.InputType = 'number' -- [ number / slider ]

Config.prices = {
    min = 100000,
    step = 200000,
    max = 500000
}

Config.IsItemLaunderEnabled = true --> If disabled the item launder option will not exist!!

Config.ItemLaunderWaitTime = 1000 * 5 --> The Base time that the player has to wait for the items to be done!!

Config.ItemsLaunder = {
    ["water"] = { Label = "Water", Price = { Min = 100, Max = 500 }, WaitTimeMulti = 1.2 },
    ["bread"] = { Label = "Bread", Price = { Min = 100, Max = 500 }, WaitTimeMulti = 1.2 }
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.infinitypulse.dev/fivem/money-laundering/configuration.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
